QGIS Application - Bug report #21772
Open Sea Map Seamarks
2019-04-04 07:07 PM - Zachary King

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.6.1 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 29587
Description

Hi | was trying to open the web map Open Sea Maps seamarks and every time | try it cause qgis 3.6.1 to crash :/

History

#1 - 2019-04-04 07:20 PM - Borys Jurgiel

- Status changed from Open to Closed

- Resolution set to invalid

I'm afraid it's not related to the plugin manager at all.

| guess you load the OpenSeaMap using a plugin (probably Quick Map Services or OpenLayers Plugin), don't you?

Then please report the bug to the plugin author - you'll find the proper bugtracker webpage in that plugin's details in the plugin manager.

#2 - 2019-04-04 08:59 PM - Zachary King
- Status changed from Closed to Reopened

The issue is that when Open Sea Maps - Seamarks doesn't load in QGIS 3.6.1 the program crashes, | have written the Github thread about the Quick Map

Services but that shouldn't be why the instance is crashing.

#3 - 2019-04-04 09:03 PM - Giovanni Manghi
- Status changed from Reopened to Closed

Zachary King wrote:

The issue is that when Open Sea Maps - Seamarks doesn't load in QGIS 3.6.1 the program crashes, | have written the Github thread about the

Quick Map Services but that shouldn't be why the instance is crashing.

a plugin if has an issue can always crash the main program. If you find that this is really a qgis issue and not a plugin one then reopen this ticket.

Note: no crash here with that map from the QMS plugin, but also it does not show anything. Maybe the map provider has problems too.

#4 - 2019-04-04 09:23 PM - Zachary King

2025-04-27 1/4




- Status changed from Closed to Reopened

Crash ID: b6cb926aa0ff26b4079f6¢611a06463f37627bb4

Stack Trace

QObject::thread :
QgsNetworkAccessManager::instance :
selectWidget :

CPLStringList::empty :
CPLStringList::PartialFindString :
CPLStringList::empty :
QgsRasterDataProvider::block :
QgsSingleBandColorDataRenderer::block :
QgsBrightnessContrastFilter::block :
QgsHueSaturationFilter::block :
QgsRasterResampleFilter::block :
QgsRasterProjector::block :
QgsRasterlterator::readNextRasterPartinternal :
QgsRasterDrawer:draw :
QgsRasterLayerRendererFeedback::onNewData :
CPLStringList::size :

QMetaObject::activate :

QSslKey::operator!=:

QObiject::event :
QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifylnternal2 :
QCoreApplicationPrivate::sendPostedEvents :
QEventDispatcherWin32::processEvents :
DispatchMessageW :

DispatchMessageW :
QEventDispatcherWin32::processEvents :
QEventLoop::exec :
CPLStringList::PartialFindString :
CPLStringList::empty :
QgsRasterDataProvider::block :
QgsSingleBandColorDataRenderer::block :
QgsBrightnessContrastFilter::block :
QgsHueSaturationFilter::block :
QgsRasterResampleFilter::block :
QgsRasterProjector::block :
QgsRasterlterator::readNextRasterPartinternal :
QgsRasterDrawer::draw :
QgsRasterLayerRenderer::render :
QgsMapRendererParallelJob::renderLayerStatic :
QgsArchive::zip :
QgsMapRendererParallelJob::renderingFinished :
QgslmageOperation::flipimage :
QtConcurrent::ThreadEngineBase::run :
QThreadPoolPrivate::reset :
QThread::start :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa
QGIS code revision: 2468226bc9
Compiled against Qt: 5.11.2
Running against Qt: 5.11.2
Compiled against GDAL: 2.4.1
Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

#5 - 2019-04-04 09:25 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Resolution deleted (invalid)

- Assignee deleted (Borys Jurgiel)

- Category changed from Plugin Manager to Unknown

Zachary King wrote:

Crash ID: b6cb926aa0ff26b4079f6¢c611a06463f37627bb4

does it crash if you don't use that map from that plugin?

#6 - 2019-04-04 09:31 PM - Zachary King

- Assignee set to Borys Jurgiel

So far not that | have seen, but | just updated today and this was the first task | tried, other maps such as Google Satellite or Esri Gray (light) work. The

crash occurs when | try exiting out of the client and | get (Not Responding) in the top bar before the crash. | have started a thread on Github for the

QuickMapServices plugin.

#7 - 2019-04-04 09:33 PM - Giovanni Manghi
- Status changed from Feedback to Closed

- Assignee deleted (Borys Jurgiel)

- Resolution set to invalid

Zachary King wrote:

So far not that | have seen, but | just updated today and this was the first task | tried, other maps such as Google Satellite or Esri Gray (light) work.

The crash occurs when | try exiting out of the client and | get (Not Responding) in the top bar before the crash. | have started a thread on Github for

the QuickMapServices plugin.
do not assign a developer, unless you are sure he is the right person and/or agrees.

If you have filed a ticket on the QMS repository/tracker then there is the right place, not here.

#8 - 2019-04-04 09:36 PM - Zachary King

Sorry it defaulted to him for some reason | didn't notice, well | am not entirely sure it's the plugin, that shouldn't cause the client to crash like it has.
